#######################################################################################
#  Custom Ship Plugin                                                                 #
#  Created by MScott                                                     #
#  Date: 04/26/2008                                                                   #
#######################################################################################
#                                                                                     #
import Foundation
import App
#                                                                                     #
#######################################################################################
#                                                                                     #
abbrev = 'SupernovaII'
iconName = 'SupernovaII'
longName = 'USS Supernova'
shipFile = 'SupernovaII' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY
#                                                                                     #
#######################################################################################
#                                                                                     #
# Mod Info.  Use this as an opportunity to describe your work in brief.  This may     #
# have use later on for updates and such.                                             #
#                                                                                     #
credits = {
	'modName': 'SupernovaII',
	'author': 'MScott',
	'version': '1.0',
	'sources': [ 'Public Domain Meshes' ],
	'comments': 'Enjoy'
}
#                                                                                     #
#######################################################################################
#                                                                                     #
# This is the ShipDef that adds the Ship to the game... BC-Mod Packager has           #
# automatically generated the proper ShipDef Line for you.                            #
#                                                                                     #
Foundation.ShipDef.SupernovaII = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
#                                                                                     #
#######################################################################################
#                                                                                     #
# Uncomment these if you have TGL  
Foundation.ShipDef.SupernovaII.hasTGLName = 1
Foundation.ShipDef.SupernovaII.hasTGLDesc = 1

# Otherwise, uncomment this and type something in:
# Foundation.ShipDef.SupernovaII.desc = 'No Description Available'
#                                                                                     #
#######################################################################################
#                                                                                     #
# These register the ship with the QuickBattle menus.  Don't touch them!!!            #
#                                                                                     #
if menuGroup:           Foundation.ShipDef.SupernovaII.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.SupernovaII.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
#                                                                                     #
#######################################################################################
